For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usLogin
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Overview
    • Authentication
    • Errors
    • Software Development Kits
    • Webhooks and Events
    • Sandbox Simulations
  • Core Resources
      • GETList Programs
      • GETGet Program
  • DAFpay
  • Disbursements
  • Gift Processing
LogoLogo
Contact usLogin
Core ResourcesPrograms

Get Program

GET
/v1/programs/:id
GET
/v1/programs/:id
$curl https://api.givechariot.com/v1/programs/program_01j8rs605a4gctmbm58d87mvsj \
> -H "Authorization: Bearer <token>"
1{
2 "id": "program_01j8rs605a4gctmbm58d87mvsj",
3 "name": "Gift Processing",
4 "grant_disbursement_status": "enabled",
5 "gift_processing_status": "enabled",
6 "created_at": "2020-01-31T23:00:00Z",
7 "updated_at": "2020-01-31T23:00:00Z",
8 "description": "This program is used to unify and standardize donation processing across all Donor-Advised Fund grants."
9}
Retrieves the program with the given ID.
Was this page helpful?
Previous

List financial accounts

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The unique identifier for the program

Response

OK
idstring
The unique identifier for the program
namestring
The name of the program
grant_disbursement_statusenumRead-only
The status of the program's ability to disburse grant payments to other eligible nonprofit recipients.
Allowed values:
gift_processing_statusenumRead-only
The status of the program's ability to connect payment sources to process donations and grants to your organization.
Allowed values:
created_atstringformat: "date-time"
The date and time the program was created
updated_atstringformat: "date-time"
The date and time the program was last updated
descriptionstring
A description of the program

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error